Bug 872957 - Review Request: php-pear-XML-SVG - API for building SVG documents
Review Request: php-pear-XML-SVG - API for building SVG documents
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Shawn Iwinski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-04 11:02 EST by Remi Collet
Modified: 2012-12-13 15:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-02 22:23:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
shawn: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
php-pear-XML-SVG-review.txt (9.92 KB, text/plain)
2012-11-27 18:49 EST, Shawn Iwinski
no flags Details

  None (edit)
Description Remi Collet 2012-11-04 11:02:21 EST
Spec URL: https://raw.github.com/remicollet/remirepo/master/php/pear/php-pear-XML-SVG/php-pear-XML-SVG.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-XML-SVG-1.1.0-1.remi.src.rpm
Description: 
This package provides an object-oriented API for building SVG documents.


Fedora Account System Username: remi

Target: Fedora >= 17 and EPEL >= 5
Comment 1 Remi Collet 2012-11-05 13:38:24 EST
This is an optional dependency of php-horde-Horde-Image
Comment 2 Shawn Iwinski 2012-11-22 18:22:14 EST
* In package.xml, is this cross-project baseinstalldir normal?:

<file baseinstalldir="/Horde" md5sum="4c9de300b87bef9f2e967e1b71c1f639" name="docs/examples/basic.php" role="doc" />
<file baseinstalldir="/Horde" md5sum="0ca5fd8f47288120ebeeaa5a1f97daf3" name="docs/examples/radialGradient.php" role="doc" />

The files get installed into the correct PEAR document directory, but it just looks a little strange.



* In %prep, you might want to:

sed '/README/s/role="data"/role="doc"/' -i package.xml

(could also remove "%{pear_datadir}/%{pear_name}" from %files if this is done)



* In %files, instead of:

%{pear_phpdir}/XML

shouldn't it be:

%dir %{pear_phpdir}/XML
     %{pear_phpdir}/XML/SVG
Comment 3 Remi Collet 2012-11-23 00:58:32 EST
(In reply to comment #2)
> * In package.xml, is this cross-project baseinstalldir normal?:

XML_SVG is a part of the Horde project... (old one, before they have their own channel)

> * In %prep, you might want to:
> 
> sed '/README/s/role="data"/role="doc"/' -i package.xml

Good catch... I shouldn't have miss it...

> %dir %{pear_phpdir}/XML
>      %{pear_phpdir}/XML/SVG

Yes could be more explicit.

Changes: https://github.com/remicollet/remirepo/commit/f8416ce3dcfb44d6e9a63859029c6f666879f88e

Spec URL: https://raw.github.com/remicollet/remirepo/master/php/pear/php-pear-XML-SVG/php-pear-XML-SVG.spec
SRPM URL: http://rpms.famillecollet.com/SRPMS/php-pear-XML-SVG-1.1.0-2.remi.src.rpm
Comment 4 Shawn Iwinski 2012-11-27 18:49:45 EST
Created attachment 653201 [details]
php-pear-XML-SVG-review.txt

Generated by fedora-review 0.3.1 (b71abc1) last change: 2012-10-16
Buildroot used: fedora-17-x86_64
Command line :/usr/bin/fedora-review -b 872957
Comment 5 Shawn Iwinski 2012-11-27 18:50:51 EST
=== APPROVED ===
Comment 6 Remi Collet 2012-11-28 00:40:27 EST
Thanks for the review

New Package SCM Request
=======================
Package Name: php-pear-XML-SVG
Short Description: API for building SVG documents
Owners: remi
Branches: f17 f18 el6 el5
InitialCC:
Comment 7 Gwyn Ciesla 2012-11-28 06:46:35 EST
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-11-28 08:28:08 EST
php-pear-XML-SVG-1.1.0-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/php-pear-XML-SVG-1.1.0-2.fc18
Comment 9 Fedora Update System 2012-11-28 08:28:38 EST
php-pear-XML-SVG-1.1.0-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/php-pear-XML-SVG-1.1.0-2.fc17
Comment 10 Fedora Update System 2012-11-28 08:29:17 EST
php-pear-XML-SVG-1.1.0-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/php-pear-XML-SVG-1.1.0-2.el6
Comment 11 Fedora Update System 2012-11-28 08:29:41 EST
php-pear-XML-SVG-1.1.0-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/php-pear-XML-SVG-1.1.0-2.el5
Comment 12 Fedora Update System 2012-11-28 12:36:04 EST
php-pear-XML-SVG-1.1.0-2.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2012-12-02 22:23:49 EST
php-pear-XML-SVG-1.1.0-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 14 Fedora Update System 2012-12-11 23:34:40 EST
php-pear-XML-SVG-1.1.0-2.fc17 has been pushed to the Fedora 17 stable repository.
Comment 15 Fedora Update System 2012-12-13 15:03:44 EST
php-pear-XML-SVG-1.1.0-2.el6 has been pushed to the Fedora EPEL 6 stable repository.
Comment 16 Fedora Update System 2012-12-13 15:06:06 EST
php-pear-XML-SVG-1.1.0-2.el5 has been pushed to the Fedora EPEL 5 stable repository.

Note You need to log in before you can comment on or make changes to this bug.